package com.bankaudit.process.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.Immutable;

@Entity
@Table(name="adhoc_plan_final_v")
@Immutable
public class AdhocPlanFinalV {
    
/*View: adhoc_plan_final_v*/
/*Field               Type         
------------------  ------------ 
unit_code           varchar(20)  
unit_name           varchar(50)  
unit_type           varchar(50)  
controlling_office  varchar(71)  
unit_head_user      varchar(152) 

u_criticality          varchar(20)            
frequency              varchar(20)            
duration               varchar(20)            
man_days               varchar(20) 

legal_entity_code   int(11)      
audit_type_code     varchar(20)  
audit_id            varchar(20)  
plan_id             varchar(20)  
start_date          date         
end_date            date         
report_submitted_date    date    
auditor             varchar(152) 
assessed_rating     varchar(20)  
effective_rating    varchar(20)  
audit_status        varchar(20)  
total_observations  int(11)      
open_status         bigint(23)   
respond_status      bigint(22)   
review_status       bigint(21)   
response_reject     bigint(21)   
*/
	
	@Column(name="unit_code")
	String unitCode;
	@Column(name="unit_name")
	String unitName;
	@Column(name="unit_type")
	String unitType;
	@Column(name="controlling_office")
	String controllingOffice;
	@Column(name="unit_head_user")
	String unitHeadUser;
	
	@Column(name="u_criticality")
	String uCriticality;
	@Column(name="classification")
	String classification;
	@Column(name="frequency")
	String frequency;
	@Column(name="duration")
	String duration;
	@Column(name="man_days")
	String manDays;
	
	
	@Column(name="legal_entity_code")
	long legalEntityCode;
	@Column(name="audit_type_code")
	String auditTypeCode;
@Id
	@Column(name="audit_id")
	String auditId;
	@Column(name="plan_id")
	String planId;
	@Column(name="start_date")
	private Date startDate;
	@Column(name="end_date")
	private Date endDate;
	@Column(name="report_submitted_date")
	private Date reportSubmittedDate;
	@Column(name="auditor")
	private String auditor;
	
	@Column(name="assessed_rating")
	private String assessedRating;
	@Column(name="effective_rating")
	private String effectiveRating;
	@Column(name="audit_status")
	private String auditStatus;
	@Column(name="total_observations")
	private long totalObservations;
	@Column(name="open_status")
	private long open;
	@Column(name="respond_status")
	private long responded;
	@Column(name="review_status")
	private long reviewed;
	@Column(name="response_reject")
	private long rejected;
	
	
	@Column(name="plan_comments")
	private String planComments; 
	
	public String getPlanComments() {
		return planComments;
	}

	public void setPlanComments(String planComments) {
		this.planComments = planComments;
	}
	
	public String getUnitCode() {
		return unitCode;
	}
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public String getUnitType() {
		return unitType;
	}
	public void setUnitType(String unitType) {
		this.unitType = unitType;
	}
	public String getControllingOffice() {
		return controllingOffice;
	}
	public void setControllingOffice(String controllingOffice) {
		this.controllingOffice = controllingOffice;
	}
	public String getUnitHeadUser() {
		return unitHeadUser;
	}
	public void setUnitHeadUser(String unitHeadUser) {
		this.unitHeadUser = unitHeadUser;
	}
	
	public String getuCriticality() {
		return uCriticality;
	}
	public void setuCriticality(String uCriticality) {
		this.uCriticality = uCriticality;
	}
	
	public String getClassification() {
		return classification;
	}
	public void setClassification(String classification) {
		this.classification = classification;
	}
	public String getFrequency() {
		return frequency;
	}
	public void setFrequency(String frequency) {
		this.frequency = frequency;
	}
	public String getDuration() {
		return duration;
	}
	public void setDuration(String duration) {
		this.duration = duration;
	}
	public String getManDays() {
		return manDays;
	}
	public void setManDays(String manDays) {
		this.manDays = manDays;
	}
	public long getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(int legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getPlanId() {
		return planId;
	}
	public void setPlanId(String planId) {
		this.planId = planId;
	}
	public Date getStartDate() {
		return startDate;
	}
	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	public Date getReportSubmittedDate() {
		return reportSubmittedDate;
	}
	
	public String getAuditor() {
		return auditor;
	}
	public void setAuditor(String auditor) {
		this.auditor = auditor;
	}
	public String getAssessedRating() {
		return assessedRating;
	}
	public void setAssessedRating(String assessedRating) {
		this.assessedRating = assessedRating;
	}
	public String getEffectiveRating() {
		return effectiveRating;
	}
	public void setEffectiveRating(String effectiveRating) {
		this.effectiveRating = effectiveRating;
	}
	public String getAuditStatus() {
		return auditStatus;
	}
	public void setAuditStatus(String auditStatus) {
		this.auditStatus = auditStatus;
	}
	
	public void setTotalObservations(int totalObservations) {
		this.totalObservations = totalObservations;
	}
	public long getOpen() {
		return open;
	}
	public void setOpen(long open) {
		this.open = open;
	}
	public long getResponded() {
		return responded;
	}
	public void setResponded(long responded) {
		this.responded = responded;
	}
	public long getReviewed() {
		return reviewed;
	}
	public void setReviewed(long reviewed) {
		this.reviewed = reviewed;
	}
	public long getRejected() {
		return rejected;
	}
	public void setRejected(long rejected) {
		this.rejected = rejected;
	}
	
	public Date getEndDate() {
		return endDate;
	}
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public long getTotalObservations() {
		return totalObservations;
	}
	public void setTotalObservations(long totalObservations) {
		this.totalObservations = totalObservations;
	}
	public void setLegalEntityCode(long legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public void setReportSubmittedDate(Date reportSubmittedDate) {
		this.reportSubmittedDate = reportSubmittedDate;
	}

	@Override
	public String toString() {
		return "AdhocPlanFinalV [unitCode=" + unitCode + ", unitName=" + unitName + ", unitType=" + unitType
				+ ", controllingOffice=" + controllingOffice + ", unitHeadUser=" + unitHeadUser + ", uCriticality="
				+ uCriticality + ", classification=" + classification + ", frequency=" + frequency + ", duration="
				+ duration + ", manDays=" + manDays + ", legalEntityCode=" + legalEntityCode + ", auditTypeCode="
				+ auditTypeCode + ", auditId=" + auditId + ", planId=" + planId + ", startDate=" + startDate
				+ ", endDate=" + endDate + ", reportSubmittedDate=" + reportSubmittedDate + ", auditor=" + auditor
				+ ", assessedRating=" + assessedRating + ", effectiveRating=" + effectiveRating + ", auditStatus="
				+ auditStatus + ", totalObservations=" + totalObservations + ", open=" + open + ", responded="
				+ responded + ", reviewed=" + reviewed + ", rejected=" + rejected + ", planComments=" + planComments
				+ "]";
	}

	


	
	
}
